> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Status der Exportanforderung für Transaction Steps abrufen



## OpenAPI

````yaml /de/openapi-reporting.json get /api/reporting/v2/exports/transaction-steps/{requestId}/status
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.3.2'
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.3.2
servers:
  - description: Produktionsumgebung USA
    url: https://vantage-us.abbyy.com
  - description: Produktionsumgebung Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktionsumgebung Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps/{requestId}/status:
    get:
      tags:
        - Report
      summary: Status der Exportanforderung für Transaction Steps abrufen
      operationId: GetExportStatus
      parameters:
        - in: path
          name: requestId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
          description: OK
components:
  schemas:
    ReportRequestStatusResponse:
      additionalProperties: false
      properties:
        correlationId:
          description: >-
            Korrelations-ID des Vorgangs zur Berichtserstellung

            Im Fehler- oder Abbruchfall unterstützt die Korrelations-ID die
            weitere Analyse
          nullable: true
          type: string
        filters:
          allOf:
            - $ref: '#/components/schemas/AsyncStepReportFilters'
          description: Die zur Erstellung des Berichts verwendeten Filter
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/ReportRequestStatus'
          description: Aktueller Status der Anfrage
        totalFileCount:
          description: >-
            Anzahl der Ergebnisdateien bei erfolgreich abgeschlossener
            Verarbeitung

            Auf die Ergebnisdateien kann über ihre Indizes zugegriffen werden
          nullable: true
          type: string
      type: object
    AsyncStepReportFilters:
      additionalProperties: false
      properties:
        endDate:
          description: >-
            Spätestes Abschlussdatum für den Schritt (aktuelle UTC-Zeit, wenn
            leer)
          format: date-time
          type: string
        skillId:
          description: >-
            Nach Transaction-Skill-ID filtern. {NULL}, wenn kein Filter nach
            Skill-ID angewendet werden soll
          nullable: true
          type: string
        startDate:
          default: '2025-12-17T15:36:38.524Z'
          description: Frühestes Abschlussdatum eines Vorgangsschritts
          format: date-time
          type: string
        transactionId:
          description: >-
            Nach Vorgangs-ID filtern. {NULL}, wenn der ID-Filter nicht
            angewendet werden soll
          nullable: true
          type: string
      required:
        - startDate
      type: object
    ReportRequestStatus:
      enum:
        - New
        - Queued
        - Processing
        - Succeeded
        - Failed
        - Cancelled
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````